{- |
Module      :  Numeric.QD.Vec
Copyright   :  (c) Claude Heiland-Allen 2011
License     :  BSD3

Maintainer  :  claudiusmaximus@goto10.org
Stability   :  provisional
Portability :  portable

NearZero instances for QD types.
-}
module Numeric.QD.Vec where
import Data.Vec (NearZero(nearZero))
import Numeric.QD (DoubleDouble, QuadDouble)
instance NearZero DoubleDouble where nearZero x = not (abs x > (1e-28))
instance NearZero QuadDouble   where nearZero x = not (abs x > (1e-60))
